Subject: Re: [bitcoin-dev] Satoshilabs secret shared private key scheme

From: Ondřej Vejpustek <[email-masked]>
Date: Mon, 22 Jan 2018 16:00:25 +0100

> 
> My post provided a concrete example. I'd be happy to answer any
> questions about it, but otherwise I'm not sure how to make it more
> clear.

My apologies, I didn't read it carefully. You are absolutely right. Our
scheme doesn't protect against the scenario.

> Quite the opposite-- a large block cipher is a standard
> construction

I'm happy to hear it. Nevertheless, I didn't find any standartisation or
implementation of the CMC mode (excluding the paper).

Do you have some experience with other modes (such as HCTR, HEH)?